@charset "UTF-8";
.mini-basket {
  position: absolute;
  z-index: 210;
  top: 0;
  right: -100vw;
  width: 650px;
  max-height: calc(100vh - 250px);
  display: flex;
  visibility: hidden;
  opacity: 0;
  flex-direction: column;
  transition: all .3s ease;
  pointer-events: none;
  background: #fff;
  box-shadow: 0px 4px 32px 0px #1a1f3d40; }
  .mini-basket:before {
    position: absolute;
    z-index: 210;
    top: 0;
    bottom: 0;
    right: -50px;
    width: 60px;
    height: 100%;
    content: ''; }
  .mini-basket--empty {
    max-height: none;
    padding: 40px; }
    .mini-basket--empty .btn {
      margin: auto; }
  .mini-basket.active {
    top: 12px;
    right: 120px;
    visibility: visible;
    opacity: 1;
    pointer-events: all; }
  .mini-basket__inner {
    display: flex;
    flex-direction: column; }
  .mini-basket__scroll {
    border: 1px solid #c9cbd4; }
  .mini-basket__body {
    overflow-x: hidden;
    overflow-y: auto;
    flex-grow: 1;
    margin-right: 26px;
    padding-right: 10px;
    padding-left: 42px; }
    .mini-basket__body::-webkit-scrollbar {
      width: 5px;
      /* ширина для вертикального скролла */
      height: 5px;
      /* высота для горизонтального скролла */
      border-radius: 0px;
      background-color: #f5f5f5; }
    .mini-basket__body::-webkit-scrollbar-thumb {
      background-color: #BDBDBD;
      border-radius: 10em; }
      .mini-basket__body::-webkit-scrollbar-thumb:hover {
        background-color: #1A1F3D; }
  .mini-basket__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 32px 42px; }
  .mini-basket__title {
    font-size: 24px;
    font-weight: 700; }
  .mini-basket__count {
    color: #898b95; }
  .mini-basket__footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 12px;
    padding: 16px 42px;
    box-shadow: 0px -4px 16px 0px #1a1f3d1a; }
    .mini-basket__footer .btn {
      height: 48px; }
  .mini-basket__total {
    display: flex;
    align-items: center; }
  .mini-basket__total-title {
    margin-right: 7px;
    color: #898b95;
    font-size: 20px;
    font-weight: 700; }
  .mini-basket__total-sum {
    font-size: 20px;
    font-weight: 700; }
  .mini-basket__control {
    display: flex;
    align-items: center; }
    .mini-basket__control .header-notification__control-title {
      text-transform: uppercase;
      color: #898b95;
      font-weight: 700; }
  .mini-basket__link {
    margin-left: 35px; }
  .mini-basket__empty-image {
    margin-bottom: 16px; }
  .mini-basket__empty-title {
    margin-bottom: 16px;
    text-align: center;
    font-size: 24px;
    font-weight: 700; }
  .mini-basket__empty-descr {
    max-width: 460px;
    margin: auto;
    margin-bottom: 32px;
    text-align: center;
    font-size: 16px; }
  .mini-basket__empty-control {
    display: flex;
    align-items: center;
    justify-content: center; }
    .mini-basket__empty-control .btn {
      width: 230px;
      height: 48px; }
  .mini-basket .header-notification__control,
  .mini-basket .header-notification__control-title {
    transition: color .3s ease; }
    @media (min-width: 1024px) {
      .mini-basket .header-notification__control,
      .mini-basket .header-notification__control-title {
        cursor: pointer; }
        .mini-basket .header-notification__control:hover,
        .mini-basket .header-notification__control-title:hover {
          color: #FF6B00; }
          .mini-basket .header-notification__control:hover .icon,
          .mini-basket .header-notification__control-title:hover .icon {
            fill: #FF6B00; } }
  @media (max-width: 1099px) {
    .mini-basket {
      display: none; } }
